Subject: bug#764: 23.0.60; fontified prompt in *shell* extends to normal text upon yank

From: Chong Yidong <[email-masked]>
Date: Tue, 11 Aug 2009 00:55:59 -0400

> My customisation has
>
>  '(comint-prompt-regexp "^[a-z]+ [0-9]+ /\\\\ " t)
>  '(shell-prompt-pattern "^[a-z]+ [0-9]+ /\\\\ ")
>  '(comint-highlight-prompt ((t (:background  
> "FloralWhite" :foreground "DarkViolet" :weight bold))))
>
> Sometimes I locate items and sort them by killing and yanking the  
> lines they're on. When I yank such a line just above the prompt,  
> i.e., the cursor is in column 0 at the prompt's beginning, the  
> prompt's fontification is extended over the yanked line

I haven't been able to reproduce this; please provide an exact recipe,
starting from `emacs -Q'.